//=============================================================================
// WeaponAssaultGun.
//=============================================================================
class ANNAWeaponFireExt extends ANNAWeapon;

function int GetWeaponDamageSkill(int userLevel, optional actor target)
{
	return 0;
}

simulated function int GetWeaponSpreadMargin()
{
	return 40;
}

simulated function float GetWeaponRecoilSkill(float userLevel)
{
	if(userLevel == 0) //untrained (sp-only?)
		return 0.65;
	if(userLevel == 1) //trained
		return 0.22;
	if(userLevel == 2) //advanced
		return 0;
	if(userLevel == 3) //master
		return 0;
	if(userLevel == 4) //master + targ
		return 0;
}

function FireOnServer(optional Actor target, optional Vector offset, optional Actor trackTarget)
{
	Super.FireOnServer(target, offset, trackTarget);
	
	if(Owner.IsA('DeusExPlayer'))
		DeusExPlayer(Owner).ExtinguishFire();
}

defaultproperties
{
	//burstShots=5
	//burstShotTime=0.1
    //ShotTime=0.600000
	recoilDuration=0.55
	lowClipCount=4
	burstDuration=0.5
	shotTime=0.05
	bringUpTime=0.44
	gunAccuracy=0.07
	bHasMuzzleFlash=false //temp
	bMissingAnims=true
     LowAmmoWaterMark=30
     GoverningSkill=Class'DeusEx.SkillWeaponRifle'
     EnviroEffective=ENVEFF_Air
     Concealability=CONC_Visual
     bAutomatic=True
     reloadTime=3.000000
     HitDamage=3
     recoilStrength=0.500000
     MinWeaponAcc=0.200000
     mpReloadTime=0.500000
     mpHitDamage=9
     mpBaseAccuracy=1.000000
     mpAccurateRange=2400
     mpMaxRange=2400
     mpReloadCount=90
     AmmoName=Class'CDXExtension.AmmoFireExt'
     ReloadCount=90
     PickupAmmoCount=90
     bInstantHit=False
     ProjectileClass=Class'CDXExtension.HalonGas2'
     //FireOffset=(X=-16.000000,Y=5.000000,Z=11.500000)
     shakemag=200.000000
//     FireSound=Sound'Ambient.SteamVent2'
     //FireSound=Sound'DeusExSounds.Weapons.HideAGunFire'
//     AltFireSound=Sound'DeusExSounds.Weapons.AssaultGunReloadEnd'
//     CockingSound=Sound'DeusExSounds.Weapons.AssaultGunReload'
//     SelectSound=Sound'DeusExSounds.Weapons.AssaultGunSelect'
     InventoryGroup=4
     ItemArticle="a"
     ItemName="Fire Extinguisher"
     PlayerViewOffset=(X=30.000000,Z=-12.000000)
     PlayerViewMesh=LodMesh'DeusExItems.FireExtinguisher'
     PickupViewMesh=LodMesh'DeusExItems.FireExtinguisher'
     ThirdPersonMesh=LodMesh'DeusExItems.FireExtinguisher'
     LandSound=Sound'DeusExSounds.Generic.GlassDrop'
     Icon=Texture'DeusExUI.Icons.BeltIconFireExtinguisher'
     largeIcon=Texture'DeusExUI.Icons.LargeIconFireExtinguisher'
     largeIconWidth=25
     largeIconHeight=49
     Description="A chemical fire extinguisher."
     beltDescription="FIRE EXT"
     Mesh=LodMesh'DeusExItems.FireExtinguisher'
     CollisionRadius=8.000000
     CollisionHeight=10.270000
     Mass=30.000000
     Buoyancy=20.000000
}
