//=============================================================================
// WeaponSawedOffShotgun.
//=============================================================================
class ANNAWeaponSawedOff extends ANNAWeapon;

function int GetWeaponDamageSkill(int userLevel, optional actor target)
{
	local float mult;
	
	if(userLevel == 0) //untrained (sp-only?)
		return 9;
	if(userLevel == 1) //trained
		return 13;
	if(userLevel == 2) //advanced
		return 15;
	if(userLevel == 3) //master
		return 18;
	if(userLevel == 4) //master + targ
		return 20;
}

simulated function float GetWeaponRecoilSkill(float userLevel)
{
	if(userLevel == 0) //untrained (sp-only?)
		return 2;
	if(userLevel == 1) //trained
		return 0.6;
	if(userLevel == 2) //advanced
		return 0;
	if(userLevel == 3) //master
		return 0;
	if(userLevel == 4) //master + targ
		return 0;
}

simulated function int GetWeaponSpread()
{
	return 40;
}

simulated function int GetWeaponSpreadMargin()
{
	return 4;
}

/*
auto state Pickup
{
	function Frob (Actor Frobber, Inventory frobWith)
	{
		local Ammo AT;
		local DeusExPlayer P;
		
		Super.Frob(Frobber, frobWith);
		
		if(AmmoType == None)
			return;
			
		P = DeusExPlayer(Frobber);
		
		if(P != None)
		{
			if (AmmoNames[0] == None)
				AT = Ammo(P.FindInventoryType(AmmoName));
			else
				AT = Ammo(P.FindInventoryType(AmmoNames[0]));
				
			if (AT != None)
				AT.AmmoAmount = 12; //hardcoded because otherwise, ammoshell has a whopping 96 max ammo haha
		}
	}
}*/

defaultproperties
{
	recoilDuration=0.2
	numShots=5
	ShotTime=1.50000
	gunAccuracy=0.33
	bringUpTime=0.6
     LowAmmoWaterMark=4
     GoverningSkill=Class'DeusEx.SkillWeaponRifle'
     EnviroEffective=ENVEFF_Air
     Concealability=CONC_Visual
     reloadTime=3.000000
     HitDamage=5
     maxRange=2400
     AccurateRange=1200
     BaseAccuracy=0.600000
     AmmoNames(0)=Class'DeusEx.AmmoShell'
     AmmoNames(1)=Class'DeusEx.AmmoSabot'
     AreaOfEffect=AOE_Cone
     recoilStrength=0.500000
     mpReloadTime=0.500000
     mpHitDamage=9
     mpBaseAccuracy=0.200000
     mpAccurateRange=1200
     mpMaxRange=1200
     mpReloadCount=6
     mpPickupAmmoCount=12
     bCanHaveModReloadCount=True
     bCanHaveModReloadTime=True
     bCanHaveModRecoilStrength=True
     AmmoName=Class'DeusEx.AmmoShell'
     ReloadCount=12
     PickupAmmoCount=12
     bInstantHit=True
     FireOffset=(X=-11.000000,Y=4.000000,Z=13.000000)
     shakemag=50.000000
     FireSound=Sound'DeusExSounds.Weapons.SawedOffShotgunFire'
     AltFireSound=Sound'DeusExSounds.Weapons.SawedOffShotgunReloadEnd'
     CockingSound=Sound'DeusExSounds.Weapons.SawedOffShotgunReload'
     SelectSound=Sound'DeusExSounds.Weapons.SawedOffShotgunSelect'
     InventoryGroup=6
     ItemName="Sawed-off Shotgun"
     PlayerViewOffset=(X=11.000000,Y=-4.000000,Z=-13.000000)
     PlayerViewMesh=LodMesh'DeusExItems.Shotgun'
     PickupViewMesh=LodMesh'DeusExItems.ShotgunPickup'
     ThirdPersonMesh=LodMesh'DeusExItems.Shotgun3rd'
     LandSound=Sound'DeusExSounds.Generic.DropMediumWeapon'
     Icon=Texture'DeusExUI.Icons.BeltIconShotgun'
     largeIcon=Texture'DeusExUI.Icons.LargeIconShotgun'
     largeIconWidth=131
     largeIconHeight=45
     invSlotsX=3
     Description="The sawed-off, pump-action shotgun features a truncated barrel resulting in a wide spread at close range and will accept either buckshot or sabot shells."
     beltDescription="SAWED-OFF"
     Mesh=LodMesh'DeusExItems.ShotgunPickup'
     CollisionRadius=12.000000
     CollisionHeight=0.900000
     Mass=15.000000
	 //Mass=31.000000
	 //ThirdPersonScale=1.5
}
